## Intro
The internet is a wonderful invention. I am biased of course because without the internet, I wouldn't have a job. Still, the interconnectivity of the entire world and the ability to communicate (sometimes very complex things) practically instantaneously to anyone and everyone is something that changed the world. However, like all things in life and the universe in general, there is a different side to this coin. And the reason for that uglier side lies in the very nature of humankind.

## I still remember
I was born in the early 90's. This makes me among the last to live without the internet. Millennials in general are going to be the last generation to remember what it was like. How, if you wanted information, you opened a physical book. Or you went to the library and browsed the shelves. Or you asked someone. How the greatest achievement in communication was a long-distance phone call and maybe a text message.

Travel was still around but opportunities to network and meet other people, let alone the kind that shared your views of the world, were not as ordinary as today. The world was smaller and comprised of smaller communities. And because they were small, so was the sphere of influence.

There was also no memory that lasted beyond a few years. Youthful indiscretions could not haunt you till the end of your days and mistakes of the past were forgotten. And if the local community vilified you for them, you could move to a different one and start fresh. Now, every act, every mistake and every thought you've ever had, past and present, are up for grabs anytime. Anywhere. Your mistakes will haunt you forever and follow you everywhere. And the value by which you are condemned, changes constantly.

## Let come wrath, let come ruin
Looking back, humankind may have been too young for the internet. The power that lies with it. There is unfortunately an aspect to our nature that sadly is enhanced rather than subdued by the internet and that is tribalism. The desire and proclivity to gather together under a shared dream, an idea, a cause. In the abstract, that sounds wonderful. Civilization as it stands would not exist if it wasn't for that trait. But there is a dark side. With tribalism comes doctrine. And with doctrine comes conformity. And to conform is to relinquish all individuality for the sake of the group, the cause, the idea. And in no action is this behavior more prevalent than in condemnation and judgment we pass over one another. Not for justice. Not for truth. But because the cause and the tribe demands it.

It is, I would argue, a foundational concept of the civilized, western society that should a person stand accused of impropriety, they shall be considered innocent until proven guilty. Now some will argue this strictest definition will only apply to crimes and courtrooms. To them, I say they are dead wrong. For laws begin as social norms. Codified and formalized but the origins remain in the minds, actions and attitudes of the people. And those trying to argue what they would probably see as "nuance" are arguing a straw man and only reveal the ugliness of their lack of morality, honor or basic human decency. An excuse not to put their money where their mouth is and walk the talk. Harsh words? Perhaps. But invalid? No. After all, how can you believe in the concept of justice if you yourself do not live by it? If you don't, in your everyday life, attempt to live by the creed your society and culture are founded on, what are you even doing? Well, what you are doing is being a parasite: receiving benefits while giving nothing of substance in return. That or your standards of evidence are criminally low as far as establishing guilt for anything.

There is an inherent allure to mob mentality and condemnation that hits the right boxes as far as the human psyche is concerned. Hence why it is so popular. Within a mob, individual accountability disappears while giving you every opportunity to reap the benefits with little to no risk. The shared delusion of the mob allows you the surety and certainty of a conviction without the need for evidence or proof of transgressions. With the power of the internet, the mob is now beyond counting and that power equally as intoxicating. A supersized confirmation bias in action. When seemingly everyone around you passes judgment, it is really hard to stop and ask for evidence. After all, your neighbor is so certain and they are such a decent person, how could they be wrong? Calling into question the judgment is to call **them** into question and you don't want to suggest your friend is a liar, right?

That's the fallacy in play that allows you to justify condemnation with little to no evidence of actual wrongdoing. Certainty of the group combined with an unwillingness to ask for facts due to the inconvenience of emotion and the mob's inherent nature to protect itself by turning against naysayers. And to add insult to injury, there is another sad aspect to all this. To pass judgment like that feels good. Not only does one get to see someone (oftentimes a person disliked for one reason or another) hurt as a surrogate for a person's own pain, but also get to feel moral superiority. "I have brought down evil!" "I am moral and righteous in my fury of this person!" "I am a god!". That last part very few actually think (I hope) but the sentiment is there. To be part of a mob is to wield power beyond your own capabilities. Power over who lives and who dies. Sometimes literally for mob justice tends to take no prisoners. What does that make you but a god?

And thus an individual, with very little power alone, gets to participate in a power trip (and with the internet that trip reaches immense proportions). They can feel pride over their moral superiority. Engorge themselves in the gluttony of righteous fury. Administer "justice" by delivering wrath upon the party they deem guilty. And how often do those who participate in these mobs and are proven wrong are called to account? Never. They are either implicitly forgiven or the matter is conveniently forgotten but no shame is brought to those who participate in these mobs. And they will not admit to their sin. Their presumption. Because it is so damn easy just to move on to the next emotional thing.

## The repercussions are there
One might notice I used a few very specific words. Those who have read your Bible certainly recognized a few choice words. Pride. Gluttony. Wrath. These are counted among the seven deadly sins: acts that land you in hell once for you the bell shall toll. Arguments could be made that, depending on your reasons (conscious or unconscious) for participating in mob justice, other sins could be added to the list. Envy. Greed. Perhaps even Sloth. That's a lot of baggage from one act. Righteous though it may feel at the time. There's the key word: feel. Too often than not, we allow emotion to override our better judgment. We allow our desire for vengeance to paint the world we see and such desires demand an outlet. So we jump to the chance when an impropriety is revealed to vent our frustrations and rage. Usually, the source of that frustration and rage is a perceived injustice elsewhere but to rectify that one is so hard and difficult it is easier to reach for the low-hanging fruit that delivers the same emotional gratification as the other one with a fraction of the effort needed to accomplish the task.

## Final thoughts
So few people it seems have the fortitude, the grace and the strength to stand by the principles they claim to live by. When the mob comes at your door, more often than not we give up and capitulate to their demands. In the name of survival, we abandon the very principles that we supposedly are ready to die for. We know it's power and are loathe to put ourselves in the crosshairs.

So as a parting wisdom, I offer this: more often than not, you are not in possession of all the facts and as such, wait just a little while, until passing judgment or participating in a mob or mass cancellation of someone. Take a moment to ask yourself why are you doing this. Is it truly justice you serve or are you appeasing your own emotional need? Are you passing judgment on the person by facts or because you just don't like the guy? And most importantly, ponder on this: would you yourself like to be judged and condemned by that same criteria and information presented to you right now? If your answer is yes, well, I suppose you have made your bed. But if the answer is no, perhaps you will find in your heart the courage to decline the invitation to participate. As alluring as it is, your soul might find itself marred by such action far more permanently than you think.